#############################################################################
# Makefile for building SpiralLoopPlugin.so
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=       @CFLAGS@ @FLTK_CFLAGS@
CXXFLAGS=       @CXXFLAGS@ @FLTK_CXXFLAGS@
INCPATH	=	-I/usr/X11R6/include
LINK	=	g++ -shared
LFLAGS	=
LIBS	=   @FLTK_LIBS@ @SFLIBS@
MOC     = moc
UIC	=

INSTALL	= @INSTALL@

###### Autoconf variables

prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@

####### Files

HEADERS =	SpiralLoopPlugin.h \
		SpiralLoopPluginGUI.h \
		../SpiralPlugin.h \
		../SpiralPluginGUI.h \
		../../ChannelHandler.h \
		../../Sample.h \
		../../RiffWav.h \
		Fl_Loop.h \
		Fl_Trigger.h \
                ../GUI/WaveChooser.h \
                ../Widgets/Fl_Knob.H \
		../Widgets/Fl_LED_Button.H \
		../../../GUI/Widgets/SpiralGUI.H
SOURCES =	SpiralLoopPlugin.C \
		SpiralLoopPluginGUI.C \
		../SpiralPlugin.C \
		../SpiralPluginGUI.C \
		../../ChannelHandler.C \
		../../Sample.C \
		../../RiffWav.C \
		Fl_Loop.C \
		Fl_Trigger.C \
                ../GUI/WaveChooser.C \
		../Widgets/Fl_Knob.cxx \
		../Widgets/Fl_LED_Button.cxx \
		../../../GUI/Widgets/SpiralGUI.C
OBJECTS =	SpiralLoopPlugin.o \
		SpiralLoopPluginGUI.o \
		../SpiralPlugin.o \
		../SpiralPluginGUI.o \
		../../ChannelHandler.o \
		../../Sample.o \
		../../RiffWav.o \
		Fl_Loop.o \
		Fl_Trigger.o \
                ../GUI/WaveChooser.o \
		../Widgets/Fl_Knob.o \
		../Widgets/Fl_LED_Button.o \
		../../../GUI/Widgets/SpiralGUI.o
INTERFACES =
UICDECLS =
UICIMPLS =
SRCMOC	=
OBJMOC	=
DIST	=
TARGET	=	SpiralLoopPlugin.so

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

install:
	$(INSTALL) $(TARGET) $(libdir)/SpiralPlugins

####### Sub-libraries


###### Combined headers


####### Compile

../SpiralPlugin.o: ../SpiralPlugin.C \
		../SpiralPlugin.h \
		../../ChannelHandler.h \
		../../Sample.h

../SpiralPluginGUI.o: ../SpiralPluginGUI.C \
		../SpiralPluginGUI.h \
		../SpiralPlugin.h \
		../../ChannelHandler.h \
		../../../GUI/Widgets/SpiralGUI.H

../../../GUI/Widgets/SpiralGUI.o: ../../../GUI/Widgets/SpiralGUI.C \
		../../../GUI/Widgets/SpiralGUI.H

../../Sample.o: ../../Sample.C \
		../../Sample.h

../../RiffWav.o: ../../RiffWav.C \
		../../RiffWav.h \
		../../Sample.h

#GUI/Widgets/Fl_Loop.o: GUI/Widgets/Fl_Loop.C \
#		GUI/Widgets/Fl_Loop.h

Fl_Loop.o:	Fl_Loop.C \
		Fl_Loop.h

Fl_Trigger.o:	Fl_Trigger.C \
		Fl_Trigger.h \
		Fl_Loop.h

../GUI/WaveChooser.o: ../GUI/WaveChooser.C \
                ../GUI/WaveChooser.h

SpiralLoopPlugin.o: SpiralLoopPlugin.C \
		SpiralLoopPlugin.h \
		../SpiralPlugin.h \
		../../Sample.h \
		../../Sample.h \
		../../NoteTable.h \
		Fl_Loop.h \
		Fl_Trigger.h \
		../../Sample.h \
		SpiralLoopPluginGUI.h \
		../SpiralPluginGUI.h \
		../../../GUI/Widgets/SpiralGUI.H \
		../Widgets/Fl_Knob.H \
		SpiralIcon.xpm \
		../../RiffWav.h \
		../../NoteTable.h

SpiralLoopPluginGUI.o: SpiralLoopPluginGUI.C \
		SpiralLoopPluginGUI.h \
		SpiralLoopPlugin.h \
		../SpiralPlugin.h \
		../../Sample.h \
		../../NoteTable.h \
		Fl_Loop.h \
		Fl_Trigger.h \
		../SpiralPluginGUI.h \
		../../../GUI/Widgets/SpiralGUI.H \
		../Widgets/Fl_Knob.H

../Widgets/Fl_Knob.o:	../Widgets/Fl_Knob.cxx \
		../Widgets/Fl_Knob.H

../Widgets/Fl_LED_Button.o:	../Widgets/Fl_LED_Button.cxx \
		../Widgets/Fl_LED_Button.H

../../ChannelHandler.o: ../../ChannelHandler.C \
		../../ChannelHandler.h
